org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardPageDate

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardPageBuilder<java.util.Date>
      - - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardPageDate

All Implemented Interfaces:
  HierarchyWizard.HierarchyWizardView, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

    public class HierarchyWizardPageDate
    extends HierarchyWizardPageBuilder<java.util.Date>

A page for configuring the date-based builder.

Author:
  Fabian Prasser

### Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`HierarchyWizardPageDate(Controller controller, HierarchyWizard<java.util.Date> wizard, HierarchyWizardModel<java.util.Date> model, HierarchyWizardPageFinal<java.util.Date> finalPage)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`boolean` `isPageComplete()`
`void` `setVisible(boolean value)`
`void` `updatePage()` Update the page when the model has changed.

### Methods inherited from class org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardPageBuilder

`canFlipToNextPage, getNextPage, update`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`getImage, getName, getPreviousPage, getShell, getWizard, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getMessageType, getTitle, performHelp, setMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

### Constructor Detail

#### HierarchyWizardPageDate

    public HierarchyWizardPageDate(Controller controller,
                                   HierarchyWizard<java.util.Date> wizard,
                                   HierarchyWizardModel<java.util.Date> model,
                                   HierarchyWizardPageFinal<java.util.Date> finalPage)

Creates a new instance.

Parameters:
  `controller` -
  `wizard` -
  `model` -
  `finalPage` -

### Method Detail

#### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

#### isPageComplete

    public boolean isPageComplete()

Specified by:
  `isPageComplete` in interface `org.eclipse.jface.wizard.IWizardPage`
Overrides:
  `isPageComplete` in class `org.eclipse.jface.wizard.WizardPage`

#### setVisible

    public void setVisible(boolean value)

Specified by:
  `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
Overrides:
  `setVisible` in class `HierarchyWizardPageBuilder<java.util.Date>`

#### updatePage

    public void updatePage()

Description copied from class: `HierarchyWizardPageBuilder`
Update the page when the model has changed.

Specified by:
  `updatePage` in class `HierarchyWizardPageBuilder<java.util.Date>`